# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# NO CHECKED-IN PROTOBUF GENCODE
# source: l2smmd.proto
# Protobuf Python Version: 5.29.0
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import runtime_version as _runtime_version
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
_runtime_version.ValidateProtobufRuntimeVersion(
    _runtime_version.Domain.PUBLIC,
    5,
    29,
    0,
    '',
    'l2smmd.proto'
)
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0cl2smmd.proto\x12\x06l2smmd\"]\n\x08Provider\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x0e\n\x06\x64omain\x18\x02 \x01(\t\x12\x10\n\x08\x64ns_port\x18\x03 \x01(\t\x12\x10\n\x08sdn_port\x18\x04 \x01(\t\x12\x0f\n\x07of_port\x18\x05 \x01(\t\",\n\x04Link\x12\x11\n\tendpointA\x18\x01 \x01(\t\x12\x11\n\tendpointB\x18\x02 \x01(\t\"(\n\x04Node\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\x12\n\nip_address\x18\x02 \x01(\t\"3\n\nRestConfig\x12\x14\n\x0c\x62\x65\x61rer_token\x18\x01 \x01(\t\x12\x0f\n\x07\x61pi_key\x18\x02 \x01(\t\"\x86\x01\n\x07\x43luster\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\'\n\x0brest_config\x18\x02 \x01(\x0b\x32\x12.l2smmd.RestConfig\x12 \n\x07overlay\x18\x03 \x01(\x0b\x32\x0f.l2smmd.Overlay\x12\"\n\x0cgateway_node\x18\x04 \x01(\x0b\x32\x0c.l2smmd.Node\"Y\n\x07Overlay\x12\"\n\x08provider\x18\x01 \x01(\x0b\x32\x10.l2smmd.Provider\x12\r\n\x05nodes\x18\x02 \x03(\t\x12\x1b\n\x05links\x18\x03 \x03(\x0b\x32\x0c.l2smmd.Link\"\x80\x01\n\tL2Network\x12\x0c\n\x04name\x18\x01 \x01(\t\x12\"\n\x08provider\x18\x02 \x01(\x0b\x32\x10.l2smmd.Provider\x12\x10\n\x08pod_cidr\x18\x03 \x01(\t\x12\x0c\n\x04type\x18\x04 \x01(\t\x12!\n\x08\x63lusters\x18\x05 \x03(\x0b\x32\x0f.l2smmd.Cluster\"k\n\x05Slice\x12\"\n\x08provider\x18\x01 \x01(\x0b\x32\x10.l2smmd.Provider\x12!\n\x08\x63lusters\x18\x02 \x03(\x0b\x32\x0f.l2smmd.Cluster\x12\x1b\n\x05links\x18\x03 \x03(\x0b\x32\x0c.l2smmd.Link\"M\n\x14\x43reateNetworkRequest\x12\"\n\x07network\x18\x01 \x01(\x0b\x32\x11.l2smmd.L2Network\x12\x11\n\tnamespace\x18\x02 \x01(\t\"(\n\x15\x43reateNetworkResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"M\n\x14\x44\x65leteNetworkRequest\x12\"\n\x07network\x18\x01 \x01(\x0b\x32\x11.l2smmd.L2Network\x12\x11\n\tnamespace\x18\x02 \x01(\t\"(\n\x15\x44\x65leteNetworkResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"E\n\x12\x43reateSliceRequest\x12\x1c\n\x05slice\x18\x01 \x01(\x0b\x32\r.l2smmd.Slice\x12\x11\n\tnamespace\x18\x02 \x01(\t\"&\n\x13\x43reateSliceResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"E\n\x12\x44\x65leteSliceRequest\x12\x1c\n\x05slice\x18\x01 \x01(\x0b\x32\r.l2smmd.Slice\x12\x11\n\tnamespace\x18\x02 \x01(\t\"&\n\x13\x44\x65leteSliceResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"8\n\x14\x43reateOverlayRequest\x12 \n\x07overlay\x18\x01 \x01(\x0b\x32\x0f.l2smmd.Overlay\"(\n\x15\x43reateOverlayResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"y\n\x11\x41\x64\x64\x43lusterRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x12\n\nslice_name\x18\x03 \x01(\t\x12 \n\x07\x63luster\x18\x04 \x01(\x0b\x32\x0f.l2smmd.Cluster\"%\n\x12\x41\x64\x64\x43lusterResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"r\n\x14RemoveClusterRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x14\n\x0coverlay_name\x18\x03 \x01(\t\x12\x14\n\x0c\x63luster_name\x18\x04 \x01(\t\"(\n\x15RemoveClusterResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\"\\\n\x14\x44\x65leteOverlayRequest\x12\x15\n\rprovider_name\x18\x01 \x01(\t\x12\x17\n\x0fprovider_domain\x18\x02 \x01(\t\x12\x14\n\x0coverlay_name\x18\x03 \x01(\t\"(\n\x15\x44\x65leteOverlayResponse\x12\x0f\n\x07message\x18\x01 \x01(\t2\xf3\x04\n\x16L2SMMultiDomainService\x12L\n\rCreateNetwork\x12\x1c.l2smmd.CreateNetworkRequest\x1a\x1d.l2smmd.CreateNetworkResponse\x12L\n\rDeleteNetwork\x12\x1c.l2smmd.DeleteNetworkRequest\x1a\x1d.l2smmd.DeleteNetworkResponse\x12\x46\n\x0b\x43reateSlice\x12\x1a.l2smmd.CreateSliceRequest\x1a\x1b.l2smmd.CreateSliceResponse\x12\x46\n\x0b\x44\x65leteSlice\x12\x1a.l2smmd.DeleteSliceRequest\x1a\x1b.l2smmd.DeleteSliceResponse\x12L\n\rCreateOverlay\x12\x1c.l2smmd.CreateOverlayRequest\x1a\x1d.l2smmd.CreateOverlayResponse\x12\x43\n\nAddCluster\x12\x19.l2smmd.AddClusterRequest\x1a\x1a.l2smmd.AddClusterResponse\x12L\n\rRemoveCluster\x12\x1c.l2smmd.RemoveClusterRequest\x1a\x1d.l2smmd.RemoveClusterResponse\x12L\n\rDeleteOverlay\x12\x1c.l2smmd.DeleteOverlayRequest\x1a\x1d.l2smmd.DeleteOverlayResponseb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'l2smmd_pb2', _globals)
if not _descriptor._USE_C_DESCRIPTORS:
  DESCRIPTOR._loaded_options = None
  _globals['_PROVIDER']._serialized_start=24
  _globals['_PROVIDER']._serialized_end=117
  _globals['_LINK']._serialized_start=119
  _globals['_LINK']._serialized_end=163
  _globals['_NODE']._serialized_start=165
  _globals['_NODE']._serialized_end=205
  _globals['_RESTCONFIG']._serialized_start=207
  _globals['_RESTCONFIG']._serialized_end=258
  _globals['_CLUSTER']._serialized_start=261
  _globals['_CLUSTER']._serialized_end=395
  _globals['_OVERLAY']._serialized_start=397
  _globals['_OVERLAY']._serialized_end=486
  _globals['_L2NETWORK']._serialized_start=489
  _globals['_L2NETWORK']._serialized_end=617
  _globals['_SLICE']._serialized_start=619
  _globals['_SLICE']._serialized_end=726
  _globals['_CREATENETWORKREQUEST']._serialized_start=728
  _globals['_CREATENETWORKREQUEST']._serialized_end=805
  _globals['_CREATENETWORKRESPONSE']._serialized_start=807
  _globals['_CREATENETWORKRESPONSE']._serialized_end=847
  _globals['_DELETENETWORKREQUEST']._serialized_start=849
  _globals['_DELETENETWORKREQUEST']._serialized_end=926
  _globals['_DELETENETWORKRESPONSE']._serialized_start=928
  _globals['_DELETENETWORKRESPONSE']._serialized_end=968
  _globals['_CREATESLICEREQUEST']._serialized_start=970
  _globals['_CREATESLICEREQUEST']._serialized_end=1039
  _globals['_CREATESLICERESPONSE']._serialized_start=1041
  _globals['_CREATESLICERESPONSE']._serialized_end=1079
  _globals['_DELETESLICEREQUEST']._serialized_start=1081
  _globals['_DELETESLICEREQUEST']._serialized_end=1150
  _globals['_DELETESLICERESPONSE']._serialized_start=1152
  _globals['_DELETESLICERESPONSE']._serialized_end=1190
  _globals['_CREATEOVERLAYREQUEST']._serialized_start=1192
  _globals['_CREATEOVERLAYREQUEST']._serialized_end=1248
  _globals['_CREATEOVERLAYRESPONSE']._serialized_start=1250
  _globals['_CREATEOVERLAYRESPONSE']._serialized_end=1290
  _globals['_ADDCLUSTERREQUEST']._serialized_start=1292
  _globals['_ADDCLUSTERREQUEST']._serialized_end=1413
  _globals['_ADDCLUSTERRESPONSE']._serialized_start=1415
  _globals['_ADDCLUSTERRESPONSE']._serialized_end=1452
  _globals['_REMOVECLUSTERREQUEST']._serialized_start=1454
  _globals['_REMOVECLUSTERREQUEST']._serialized_end=1568
  _globals['_REMOVECLUSTERRESPONSE']._serialized_start=1570
  _globals['_REMOVECLUSTERRESPONSE']._serialized_end=1610
  _globals['_DELETEOVERLAYREQUEST']._serialized_start=1612
  _globals['_DELETEOVERLAYREQUEST']._serialized_end=1704
  _globals['_DELETEOVERLAYRESPONSE']._serialized_start=1706
  _globals['_DELETEOVERLAYRESPONSE']._serialized_end=1746
  _globals['_L2SMMULTIDOMAINSERVICE']._serialized_start=1749
  _globals['_L2SMMULTIDOMAINSERVICE']._serialized_end=2376
# @@protoc_insertion_point(module_scope)
